Bug 1954250 (CVE-2021-31918) - CVE-2021-31918 tripleo-ansible: ansible.log file is visible to unprivileged users
Summary: CVE-2021-31918 tripleo-ansible: ansible.log file is visible to unprivileged u...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-31918
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1955266 1955268
Blocks: 1954252 1955253
TreeView+ depends on / blocked
 
Reported: 2021-04-27 19:11 UTC by Pedro Sampaio
Modified: 2021-06-09 20:23 UTC (History)
11 users (show)

Fixed In Version: tripleo-ansible 0.5.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in tripleo-ansible. The Ansible log file is readable to all users during stack update and creation. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2021-05-26 17:32:09 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2021-04-27 19:11:59 UTC
Flaw was found in tripleo-ansible. Ansible log file is accessible to all users during stack update/creation.

#getfacl /var/lib/mistral/overcloud/ansible.log
# owner: 42430
# group: 42430
user::rw-
group::r--
other::r--       ========> This is the problem

This was discovered/reported in a related flaw: https://bugzilla.redhat.com/show_bug.cgi?id=1936278

Comment 4 Nick Tait 2021-04-29 19:14:08 UTC
Lifting embargo, the orig reporting bug (which this spawned from) was already public.

Comment 5 Nick Tait 2021-04-29 19:14:25 UTC
Created tripleo-ansible tracking bugs for this issue:

Affects: openstack-rdo [bug 1955268]

Comment 6 Nick Tait 2021-05-12 16:39:59 UTC
Acknowledgments:

Name: Cédric Jeanneret (Red Hat)

Comment 7 errata-xmlrpc 2021-05-26 11:43:44 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 16.1

Via RHSA-2021:2119 https://access.redhat.com/errata/RHSA-2021:2119

Comment 8 Product Security DevOps Team 2021-05-26 17:32:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-31918


Note You need to log in before you can comment on or make changes to this bug.